Subject: Re: bug#14399: octave-mode bug

From: Tom Olin <[email-masked]>
Date: Tue, 3 Dec 2013 09:56:39 -0500

Just FWIW, I'm still seeing the problem. I get:

vec = [...
	one;...
	   two;...
	      three];

I'm using:

GNU Emacs 24.3.1 (x86_64-apple-darwin12.2.0, X toolkit, Xaw scroll bars) of 2013-03-21

from MacPorts. How far from HEAD is that?

--
Tom Olin
Senior Systems Engineer | PAR Government Systems Corporation
315.356.2142 | [email-masked] | http://pargovernment.com

On Dec 2, 2013, at 10:58 AM, Leo Liu <[email-masked]> wrote:

> On 2013-12-02 23:15 +0800, Stefan Monnier wrote:
>> Looks like we've all been pretty dumb: not sure about the OP's real code
>> but at least his test case gets indented like this with Emacs's trunk:
>> 
>>  vec = [...
>>          one;...
>>          two;...
>>          three];
>> 
>> So it looks like the bug is already fixed.
> 
> I was able to reproduce the bug some time ago but indeed this seems
> fixed in trunk. but
> 
> x = ...
> 12
> 
> doesn't indent the second line correctly.
> 
> Leo